[@rxap/forms](../wiki/globals) / ControlAsyncValidator

# Function: ControlAsyncValidator()

> **ControlAsyncValidator**(...`controlIds`): (`target`, `propertyKey`) => `void`

Defined in: [packages/angular/forms/src/lib/decorators/control-async-validator.ts:4](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/forms/src/lib/decorators/control-async-validator.ts#L4)

## Parameters

### controlIds

...`string`[]

## Returns

`Function`

### Parameters

#### target

`any`

#### propertyKey

`string`

### Returns

`void`
